Bug 2578 - reliable state change notification
: reliable state change notification
Status: RESOLVED WONTFIX
: GRAM
wsrf managed multi job service
: development
: Macintosh All
: P3 enhancement
: 3.9.5
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-01-19 09:43 by
Modified: 2012-09-05 11:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-19 09:43:14
For reliable state change notifications from each jobs submitted to the
MJFS/MEJS, the MMJS should 
implement fall-back RP polling for all state monitoring.  this is to ensure
that a state change is detected 
even in the case when a notification was not recieved by the MMJS.
------- Comment #1 From 2005-01-26 20:26:46 -------
Looks like I am obtaining the same kind of weird result. 
The Java rendezvous unit tests did not feature a testing of 
GetResourceProperty or GetMultipleResourceProperties and 
thus did not put this issue into evidence (the registrant 
data as embedded in the notifications message still seems 
correct according to a re-run of the existing Java tests).
). 

I am looking more into this. I have had issues with Core in 
the past setting RPs that are Java arrays - maybe my work around 
of the time is now generating a bug due to changes in Core? 
I will try a few things.
------- Comment #2 From 2005-01-26 20:30:06 -------
PLEASE IGNORE PREVIOUS POST
------- Comment #3 From 2005-01-31 16:27:50 -------
Frankly I think the title of this bug suggests what a real fix would be for
this
issue.  We should simply have a reliable version of notifications--a two way
message that gives an ACK back to the notification producer.  Implementing
polling is simply saying "we're working around a feature that hasn't been
developed but that we need".
------- Comment #4 From 2007-09-19 11:37:49 -------
Reassigning to current GRAM developer to close/fix as appropriate.
------- Comment #5 From 2012-09-05 11:42:16 -------
Doing some bugzilla cleanup...  Resolving old GRAM3 and GRAM4 issues that are
no longer relevant since we've moved on to GRAM5.  Also, we're now tracking
issue in jira.  Any new issues should be added here:

http://jira.globus.org/secure/VersionBoard.jspa?selectedProjectId=10363